Package com.io7m.cardant.model

# Record Class CAUser

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAUser

Record Components:
  `userId` - The user ID
  `name` - The user name
  `subject` - The user's security subject

public record CAUser(CAUserID userId, com.io7m.idstore.model.IdName name, com.io7m.medrina.api.MSubject subject) extends Record
A snapshot of a user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAUser(CAUserID userId, com.io7m.idstore.model.IdName name, com.io7m.medrina.api.MSubject subject)`
  A snapshot of a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.idstore.model.IdName`
  `name()`
  Returns the value of the `name` record component.
  `com.io7m.medrina.api.MSubject`
  `subject()`
  Returns the value of the `subject` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CAUserID`
  `userId()`
  Returns the value of the `userId` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAUser

    public CAUser(CAUserID userId, com.io7m.idstore.model.IdName name, com.io7m.medrina.api.MSubject subject)
    A snapshot of a user.
    Parameters:
      `userId` - The user ID
      `name` - The user name
      `subject` - The user's security subject

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userId

    public CAUserID userId()
    Returns the value of the `userId` record component.
    Returns:
      the value of the `userId` record component

  - ### name

    public com.io7m.idstore.model.IdName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### subject

    public com.io7m.medrina.api.MSubject subject()
    Returns the value of the `subject` record component.
    Returns:
      the value of the `subject` record component